Package com.xebialabs.xlrelease.domain.distributed.events

# Class DistributedFolderTenantLinkEvent

java.lang.Object
com.xebialabs.xlrelease.domain.distributed.events.DistributedFolderTenantLinkEvent

All Implemented Interfaces:
  `DistributedTenantEvent`, `DistributedTenantLinkUpdatedEvent`, `DistributedXLReleaseEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class DistributedFolderTenantLinkEvent extends Object implements DistributedTenantLinkUpdatedEvent, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedFolderTenantLinkEvent(String tenantId, scala.collection.immutable.Seq<String> folderIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DistributedFolderTenantLinkEvent`
  `apply(String tenantId, scala.collection.immutable.Seq<String> folderIds)`
  `boolean`
  `canEqual(Object x$1)`
  `DistributedFolderTenantLinkEvent`
  `copy(String tenantId, scala.collection.immutable.Seq<String> folderIds)`
  `String`
  `copy$default$1()`
  `scala.collection.immutable.Seq<String>`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `scala.collection.immutable.Seq<String>`
  `folderIds()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `tenantId()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,scala.collection.immutable.Seq<String>>>`
  `unapply(DistributedFolderTenantLinkEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### DistributedFolderTenantLinkEvent

    public DistributedFolderTenantLinkEvent(String tenantId, scala.collection.immutable.Seq<String> folderIds)

- ## Method Details

  - ### apply

    public static DistributedFolderTenantLinkEvent apply(String tenantId, scala.collection.immutable.Seq<String> folderIds)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,scala.collection.immutable.Seq<String>>> unapply(DistributedFolderTenantLinkEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### tenantId

    public String tenantId()
    Specified by:
      `tenantId` in interface `DistributedTenantEvent`

  - ### folderIds

    public scala.collection.immutable.Seq<String> folderIds()

  - ### copy

    public DistributedFolderTenantLinkEvent copy(String tenantId, scala.collection.immutable.Seq<String> folderIds)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public scala.collection.immutable.Seq<String> copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`